apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: auth-server-ingress
  annotations:
    k8s.apisix.apache.org/http-to-https: "true"
    cert-manager.io/cluster-issuer: letsencrypt
spec:
  ingressClassName: apisix
  rules:
    - host: auth-server.pda1.demo.esspass-poc.eu
      http:
        paths:
          - pathType: Prefix
            path: "/"
            backend:
              service:
                name: auth-server-service
                port:
                  number: 4300
  tls:
    - hosts:
      - auth-server.pda1.demo.esspass-poc.eu
      secretName: auth-server-demo-esspass-poc-cert
